import request from '@/utils/request'

// 任务日历列表
export function apiTaskSchedulingPlanLists(params: any) {
    return request.get({ url: '/task_scheduling_plan.task_scheduling_plan/lists', params })
}

// 添加任务日历
export function apiTaskSchedulingPlanAdd(params: any) {
    return request.post({ url: '/task_scheduling_plan.task_scheduling_plan/add', params })
}

// 编辑任务日历
export function apiTaskSchedulingPlanEdit(params: any) {
    return request.post({ url: '/task_scheduling_plan.task_scheduling_plan/edit', params })
}

// 删除任务日历
export function apiTaskSchedulingPlanDelete(params: any) {
    return request.post({ url: '/task_scheduling_plan.task_scheduling_plan/delete', params })
}

// 任务日历详情
export function apiTaskSchedulingPlanDetail(params: any) {
    return request.get({ url: '/task_scheduling_plan.task_scheduling_plan/detail', params })
}